Bug 64426 - add a script for crawling the baseline databases
Summary: add a script for crawling the baseline databases
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dirk Pranke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-12 19:58 PDT by Dirk Pranke
Modified: 2012-04-05 20:46 PDT (History)
2 users (show)

See Also:


Attachments
Patch (6.53 KB, patch)
2011-07-12 19:59 PDT, Dirk Pranke
no flags Details | Formatted Diff | Diff
fix permissions, rebaseline to HEAD (6.50 KB, patch)
2011-07-13 12:01 PDT, Dirk Pranke
no flags Details | Formatted Diff | Diff
Patch (11.53 KB, patch)
2012-03-15 15:35 PDT, Dirk Pranke
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Pranke 2011-07-12 19:58:50 PDT
add a script for crawling the baseline databases
Comment 1 Dirk Pranke 2011-07-12 19:59:56 PDT
Created attachment 100610 [details]
Patch
Comment 2 Dirk Pranke 2011-07-13 12:01:25 PDT
Created attachment 100701 [details]
fix permissions, rebaseline to HEAD
Comment 3 Dirk Pranke 2011-08-16 16:26:03 PDT
Clearing the review? flag and marking as WONTFIX ... I don't know that there's any real reason to land this.
Comment 4 Eric Seidel (no email) 2012-01-25 16:00:55 PST
I'm not sure what this did, but OK. :)
Comment 5 Dirk Pranke 2012-03-15 15:35:35 PDT
Reopening to attach new patch.
Comment 6 Dirk Pranke 2012-03-15 15:35:40 PDT
Created attachment 132134 [details]
Patch
Comment 7 Eric Seidel (no email) 2012-03-16 18:24:55 PDT
Could you give me some example usage of this command?  What would I use it for?
Comment 8 Dirk Pranke 2012-03-16 20:21:30 PDT
The basic idea is, for some list of ports and some list of tests, show me what the expected result is, and where we find the baselines, for each test. Options are available to filter ports and tests (e.g., all expected crashes).

basically the info you get with run-webkit-tests --print trace-everything, except for the actual result, in a form amenable to human eyes and also a form amenable for further analysis/reporting, e.g., to figure out what happens if chromium-mac-leopard stops falling back to mac-leopard.

In further thinking about it, i think this is probably actually two different commands (one for expectations, one for baselines).

This will also replace the webkit-patch skipped-files command, which is a subset of this information.
Comment 9 Dirk Pranke 2012-04-05 20:46:18 PDT
Cancelling r?, I will split this into two separate bugs, bug 83347 for w-p print-expectations and bug 83348 for w-p print-baselines.